#Do not repack the jars as there are permission issues in the 
#jar packaging

%define __jar_repack %{nil}

Name:		vassal
Summary:	A game engine for building and playing online adaptations of board games and card games
Version:	3.1.20
Release:	%mkrel 3
Source0:		http://downloads.sourceforge.net/vassalengine/VASSAL-%{version}-src.zip
Patch0:         vassal.makefile.patch
URL:		http://www.vassalengine.org/
Group:		Games/Other
Requires:	java batik swing-layout jna xerces-j2 apache-commons-lang apache-commons-io swingx gnu-getopt
BuildRequires:	java batik swing-layout jna xerces-j2 apache-commons-lang apache-commons-io swingx
BuildRequires:	java-rpmbuild gnu-getopt
BuildArch:	noarch
License:	LGPLv2+

%description
Vassal is a game engine for building and playing online adaptations of board
games and card games. Play live on the Internet or by email. Vassal runs on
all platforms, and is free, open-source software.

%prep
%setup -q -n VASSAL-%{version}-src
%patch0

%build
rm -f lib/batik*
rm -f lib/xml*
rm -f lib/xalan*
rm -f lib/smackx-debug.jar
rm -f lib/swing-layout*
rm -f lib/jna.jar
rm -f lib/xerces*
rm -f lib/swingx-*.jar
rm -f lib/*getopt*
rm -f lib/commons-lang*
rm -f lib/commons-io*
make Vengine.jar
chmod a+r lib/Vengine.jar

%install
#make some install dirs
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_exec_prefix}/lib/%{name}

#install package
cp -avr lib %{buildroot}%{_exec_prefix}/lib/%{name}
cp -avr doc %{buildroot}%{_exec_prefix}/lib/%{name}

#create our laun ch wrapper script
cat > %{buildroot}%{_bindir}/%{name} <<EOF
#!/bin/sh
cd %{_exec_prefix}/lib/%{name}
export CLASSPATH=lib/Vengine.jar:/usr/share/java/swingx.jar:/usr/share/java/gnu-getopt.jar:/usr/share/java/apache-commons-lang.jar:/usr/share/java/apache-commons-io.jar:/usr/share/java/batik-all.jar:/usr/share/java/swing-layout.jar:/usr/share/java/jna.jar
java VASSAL.launch.ModuleManager "\$@"
EOF

#make our launch wrapper executable
chmod +x %{buildroot}%{_bindir}/*

#Menu entry
install -d -m755 %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop <<EOF
[Desktop Entry]
Name=Vassal Game Engine
Comment=%summary
Exec=%{name}
Icon=boards_section
Terminal=false
Type=Application
Categories=Game;BoardGame;
EOF

%files
%{_bindir}/*
%{_exec_prefix}/lib/%{name}
%{_datadir}/applications/%{name}.desktop



%changelog

* Tue Nov 06 2012 joequant <joequant> 3.1.20-3.mga3
+ Revision: 315316
- add gnu-getopt to build

* Sun Nov 04 2012 fwang <fwang> 3.1.20-2.mga3
+ Revision: 314157
- br gnu-getopt jar to have it built
- build java-rpmbuild to build
- drop ended dot
- update new uri of source0
- various spec cleanup

  + joequant <joequant>
    - change to vassal src package
    - change to download source vassal
    - remove redundant java files
    - imported package vassal

